Kling 4.0 プレイグラウンド
入力
Describe the scene. Use @Image1 / @Element1 for references. Required unless multiShots is supplied; mutually exclusive with multiShots.
Raw references (up to 10); address as @Image1, @Image2. Requires elements, transform or video_reference mode.
Required first frame in start_end_frame mode
Ordered middle frames (up to 8) in start_end_frame mode; at most 10 total frames
Optional last frame in start_end_frame mode
Source video for transform / video_reference. Duration is probed before charging; 3–10 seconds for transform, 3–30 for video_reference. Transform needs a short side of at least 700px.
実行すると残高から料金が引き落とされます。
出力

出力はここに表示されます。
項目を入力し、料金を確認してモデルを実行してください。結果はここに表示されます。ブラウザーで試す場合、別途APIキーは不要です。
Kling 4.0 API の料金
| オプション | 秒あたりの価格 |
|---|---|
| Resolution: 720p · Source Video: no | $0.171 |
| Resolution: 720p · Source Video: yes | $0.229 |
| Resolution: 1080p · Source Video: no | $0.256 |
| Resolution: 1080p · Source Video: yes | $0.343 |
クイックスタート
完全なAPIリファレンス →1curl -X POST https://api.api-stock.com/api/v1/generation/create \2 -H "Authorization: Bearer $API_STOCK_KEY" \3 -H "Content-Type: application/json" \4 -d '{5 "model": "kling-4.0",6 "input": {7 "resolution": "720p",8 "duration": 3,9 "generateAudio": true,10 "keepAudio": true11 }12 }'
パラメータ
| 名前 | 型 | 必須 | デフォルト | 説明 |
|---|---|---|---|---|
prompt | string | いいえ | — | Describe the scene. Use @Image1 / @Element1 for references. Required unless multiShots is supplied; mutually exclusive with multiShots. |
videoMode | string | いいえ | — | Omit for pure text-to-video. Use elements for references, start_end_frame for keyframes, transform or video_reference for a source video.いずれか: elements, start_end_frame, transform, video_reference |
resolution | string | いいえ | 720p | Output resolution (4K is not available)いずれか: 720p, 1080p |
duration | number | いいえ | 3 | Output seconds, 3–30. Ignored with source video (its probed duration is billed) or multiShots (shot durations are summed). |
aspectRatio | string | いいえ | — | Aspect ratio; must be auto with a source video. Keyframes determine their own ratio.いずれか: auto, 16:9, 9:16, 1:1, 21:9 |
generateAudio | boolean | いいえ | true | Generate native stereo audio (included in the price) |
keepAudio | boolean | いいえ | true | Preserve source video audio |
imageUrls | string[] | いいえ | — | Raw references (up to 10); address as @Image1, @Image2. Requires elements, transform or video_reference mode. |
startImageIndex | number | いいえ | — | 1-based imageUrls index anchoring the first frame (elements mode) |
elements | object[] | いいえ | — | Subject elements: { description?: string, type?: image | video, imageUrls?: string[1..4], videoUrl?: string }. Up to 7, at most 3 video elements. Images and elements together: at most 15, or 14 with source video. |
startFrameUrl | string | いいえ | — | Required first frame in start_end_frame mode |
keyframeUrls | string[] | いいえ | — | Ordered middle frames (up to 8) in start_end_frame mode; at most 10 total frames |
endFrameUrl | string | いいえ | — | Optional last frame in start_end_frame mode |
videoUrl | string | いいえ | — | Source video for transform / video_reference. Duration is probed before charging; 3–10 seconds for transform, 3–30 for video_reference. Transform needs a short side of at least 700px. |
multiShots | object[] | いいえ | — | 2–6 scenes totalling 3–30 seconds; replaces prompt and duration. Only text-to-video and elements modes. |
よくある質問
Kling 4.0 の料金はいくらですか?
Kling 4.0はAPI Stock API経由で$0.171 出力1秒あたりから利用できます。料金は1つの前払い残高から利用した分だけ支払う従量制で、サブスクリプションはありません。最終的な価格は、解像度や長さなどのパラメータに応じて変わります。
Kling 4.0 はいつリリースされましたか?
Kling 4.0 は 2026年10月15日 にリリースされました。他のすべてのモデルと同じ API キーと前払い残高で、API Stock API から利用できます。
Kling 4.0 の API キーはどうやって取得しますか?
API Stock に登録し、利用可能な支払い方法で残高をチャージして、ダッシュボードで API キーを作成するだけです。数分で完了し、契約は不要です。同じキーでカタログのすべてのモデルを利用できるため、Kling 4.0 専用のキーを取得する必要はありません。
Kling 4.0 APIはどのように呼び出せますか?
https://api.api-stock.com/api/v1/generation/create に、APIキーとモデルID「kling-4.0」を指定してPOSTリクエストを送信します。リクエストの結果として、ポーリングするタスクIDが返されるか、結果の準備ができた時点でWebhookコールバックが送信されます。上記のクイックスタートにすぐ実行できる例があります。
Kling 4.0はどのような入力パラメータを受け付けますか?
Kling 4.0は15個の入力パラメータを受け付けます。種類、デフォルト値、指定可能な値は上記のパラメータ表に記載されています。
Kling 4.0のリクエストに失敗するとどうなりますか?
API Stockは予備プロバイダーでリクエストを自動的に再試行します。すべてのプロバイダーで失敗した場合、請求額は残高に返金されます。
Kling 4.0は他のモデルと同じAPIキーで利用できますか?
はい。API Stockのすべてのモデル(動画、画像、音楽、チャット)は1つのAPIキーと1つの前払い残高を共有しているため、新しい認証情報なしでKling 4.0に切り替えられます。
